Namespace
library
Image / Tag
swift:6.0.1-rhel-ubi9
Content Digest
sha256:b6b448d71b47aaf9fca7e2380615574ab28f5b08518ddc9ce7661a7e4a77202b
Details
Created

2024-09-25 05:07:02 UTC

Size

982 MB

Content Digest
Labels
  • architecture
    x86_64
  • build-date
    2024-09-18T21:23:30
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    1214.1726694543
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543
  • vcs-ref
    e309397d02fc53f7fa99db1371b8700eb49f268f
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.4

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.1-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:40049f9dc50417693bf704b63a02d64347b23867b33ac7776be3fae4a2d178b0 - 7.73% (75.9 MB)

[#001] sha256:938ded3fb58091355acf792fbf0ce14e32b6d1732e6e27f191996ea1d9b58adc - 11.92% (117 MB)

[#002] sha256:c5d27dad1c0ccf0982dfae8fd7f9c90d669afb08f9e2c6ea6b52a5913ae372c8 - 80.35% (789 MB)

[#003] sha256:b89011947fe50c670f939182b6a1eaa713f68d8454cc59314a6e0f974de7638b - 0.0% (175 Bytes)


History
2024-09-18 21:36:31 UTC

/bin/sh -c #(nop) ADD file:0067eb9f2ee25ab2d666a7639a85fe707b582902a09242761abf30c53664069b in /

2024-09-18 21:36:32 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) ADD multi:7a67822d03b1a3ddb205cc3fcf7acd9d3180aef5988a5d25887bc0753a7a493b in /etc/yum.repos.d/

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) ENV container oci

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-09-18 21:36:32 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-09-18 21:36:33 UTC

/bin/sh -c rm -rf /var/log/*

2024-09-18 21:36:34 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2024-09-18 21:36:35 UTC

/bin/sh -c #(nop) ADD file:ed34e436a5c2cc729eecd8b15b94c75028aea1cb18b739cafbb293b5e4ad5dae in /root/buildinfo/content_manifests/ubi9-container-9.4-1214.1726694543.json

2024-09-18 21:36:35 UTC

/bin/sh -c #(nop) ADD file:d56bb1961538221b52d7e292418978f186bf67b9906771f38530fc3996a9d0d4 in /root/buildinfo/Dockerfile-ubi9-9.4-1214.1726694543

2024-09-18 21:36:35 UTC

/bin/sh -c #(nop) LABEL "release"="1214.1726694543" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-09-18T21:23:30" "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="e309397d02fc53f7fa99db1371b8700eb49f268f" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543"

2024-09-18 21:36:36 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3496925-3b364.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'

2024-09-18 21:36:37 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2024-09-18 21:36:41 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubi9

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.1-release

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.1-RELEASE

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2024-09-25 05:07:02 UTC

Size

970 MB

Content Digest
Labels
  • architecture
    aarch64
  • build-date
    2024-09-18T21:23:30
  • com.redhat.component
    ubi9-container
  • com.redhat.license_terms
    https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI
  • description
    Docker Container for the Swift programming language
  • distribution-scope
    public
  • io.buildah.version
    1.29.0
  • io.k8s.description
    The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly.
  • io.k8s.display-name
    Red Hat Universal Base Image 9
  • io.openshift.expose-services
  • io.openshift.tags
    base rhel9
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • name
    ubi9
  • release
    1214.1726694543
  • summary
    Provides the latest release of Red Hat Universal Base Image 9.
  • url
    https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543
  • vcs-ref
    e309397d02fc53f7fa99db1371b8700eb49f268f
  • vcs-type
    git
  • vendor
    Red Hat, Inc.
  • version
    9.4

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0.1-release

SWIFT_PLATFORM

ubi9

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org

container

oci


Layers

[#000] sha256:642dd3de0a7ba3fef28a56da54f6c6b620e3bdff1c55b20751a3029bea383326 - 7.6% (73.8 MB)

[#001] sha256:f6c76da7f7952f608a13aafb0e3eb1613de41b053dd21b310a2d9588c9ca9511 - 11.49% (111 MB)

[#002] sha256:39108e8741318713cd571df8cc989ac6a0dbf1c0315ea430a8ee401f3dc363c4 - 80.91% (785 MB)

[#003] sha256:5805a03ff953704aa31da2517032d719b9eeb74b8b100a30b120b85c259e3004 - 0.0% (174 Bytes)


History
2024-09-18 21:36:27 UTC

/bin/sh -c #(nop) ADD file:d6101aaaa0ea140d84b6346291651ad4d2bce8c444478e1fc83508b02136ec0f in /

2024-09-18 21:36:28 UTC

/bin/sh -c mv -f /etc/yum.repos.d/ubi.repo /tmp || :

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) ADD file:5b1f650e1376d79fa3a65df4a154ea5166def95154b52c1c1097dfd8fc7d58eb in /tmp/tls-ca-bundle.pem

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) ADD multi:7a67822d03b1a3ddb205cc3fcf7acd9d3180aef5988a5d25887bc0753a7a493b in /etc/yum.repos.d/

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-container" name="ubi9" version="9.4"

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL summary="Provides the latest release of Red Hat Universal Base Image 9."

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL description="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9"

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL io.openshift.expose-services=""

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) LABEL io.openshift.tags="base rhel9"

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) ENV container oci

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) ENV PATH /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2024-09-18 21:36:28 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2024-09-18 21:36:29 UTC

/bin/sh -c rm -rf /var/log/*

2024-09-18 21:36:30 UTC

/bin/sh -c mkdir -p /var/log/rhsm

2024-09-18 21:36:31 UTC

/bin/sh -c #(nop) ADD file:6744b3d23896832934836f8b77190150a7f9f836065a064436c5b9dc47a95425 in /root/buildinfo/content_manifests/ubi9-container-9.4-1214.1726694543.json

2024-09-18 21:36:31 UTC

/bin/sh -c #(nop) ADD file:19c58e8e8129cd749e0ec129d64db36f9eb2b3729bc034e6755ab07ad478a419 in /root/buildinfo/Dockerfile-ubi9-9.4-1214.1726694543

2024-09-18 21:36:31 UTC

/bin/sh -c #(nop) LABEL "release"="1214.1726694543" "distribution-scope"="public" "vendor"="Red Hat, Inc." "build-date"="2024-09-18T21:23:30" "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="e309397d02fc53f7fa99db1371b8700eb49f268f" "io.k8s.description"="The Universal Base Image is designed and engineered to be the base layer for all of your containerized applications, middleware and utilities. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly." "url"="https://access.redhat.com/containers/#/registry.access.redhat.com/ubi9/images/9.4-1214.1726694543"

2024-09-18 21:36:32 UTC

/bin/sh -c rm -f '/etc/yum.repos.d/odcs-3496925-3b364.repo' '/etc/yum.repos.d/rhel-9.4-compose-34ae9.repo'

2024-09-18 21:36:33 UTC

/bin/sh -c rm -f /tmp/tls-ca-bundle.pem

2024-09-18 21:36:34 UTC

/bin/sh -c mv -fZ /tmp/ubi.repo /etc/yum.repos.d/ubi.repo || :

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c yum -y install git gcc-c++ libcurl-devel libedit-devel libuuid-devel libxml2-devel ncurses-devel python3-devel rsync sqlite-devel unzip zip # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubi9

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0.1-release

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0.1-RELEASE

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && echo $SWIFT_BIN_URL && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz # buildkit

2024-09-25 05:07:02 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubi9 SWIFT_BRANCH=swift-6.0.1-release SWIFT_VERSION=swift-6.0.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete